{
  config,
  pkgs,
  inputs,
  lib,
  ...
}: {
  imports = [
    "${inputs.nixpkgs-nixos-unstable}/nixos/modules/services/misc/atuin.nix"
    ../nginx.nix
  ];
  disabledModules = ["services/misc/atuin.nix"];

  services.nginx = {
    virtualHosts = {
      "atuin.cyplo.dev" = {
        forceSSL = true;
        enableACME = true;
        locations."/" = {proxyPass = "http://127.0.0.1:8888";};
      };
    };
  };

  services.atuin = {
    host = "127.0.0.1";
    port = 8888;
    enable = true;
    openRegistration = false;
  };
}
